## org.gnu.gdk
Class DragContext

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.DragContext

public class DragContext
extends GObject

A DragContext holds information about a drag in process. It is used on both source and destination sides.

Constructor Summary
`DragContext()` Construct a DragContext.
`DragContext(org.gnu.glib.Handle handle)` Construct a DragContext using native resources.

Method Summary
`void` `finish(boolean success, boolean delete, int time)`
`DragAction` `getAction()` Return the action chosen by the destination.
`Window` `getDestination()` Return the destination window.
`DragProtocol` `getProtocol()` Return the Drag Protocol
`Window` `getSource()` Return the source window.
`DragAction` `getSuggestedAction()` Return the action suggested by the source.
`Atom[]` `getTargets()`
`boolean` `isSource()` Returns true if the context is used on the source side.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragContext

    public DragContext()

  Construct a DragContext.

### DragContext

    public DragContext(org.gnu.glib.Handle handle)

  Construct a DragContext using native resources. Used internally by java-gnome

Method Detail

### getSource

    public Window getSource()

  Return the source window.

### getDestination

    public Window getDestination()

  Return the destination window.

### getProtocol

    public DragProtocol getProtocol()

  Return the Drag Protocol

### isSource

    public boolean isSource()

  Returns true if the context is used on the source side.

### getSuggestedAction

    public DragAction getSuggestedAction()

  Return the action suggested by the source.

### getAction

    public DragAction getAction()

  Return the action chosen by the destination.

### getTargets

    public Atom[] getTargets()

### finish

    public void finish(boolean success,
                       boolean delete,
                       int time)